using Xamarin.Forms;

namespace InABox.Mobile
{

    public enum MobileEntryCharacterCasing
    {
        Mixed,
        UpperCase,
        Lowercase
    }
    
    public class MobileEntry : Entry
    {

        public MobileEntryCharacterCasing CharacterCasing { get; set; }
        
        public MobileEntry()
        {
            TextColor = Color.Black;
            BackgroundColor = Color.LightYellow;
            FontSize = Device.GetNamedSize(NamedSize.Small, this);
            PlaceholderColor = Color.Gray;
            CharacterCasing = MobileEntryCharacterCasing.Mixed;
            PropertyChanging += (sender, args) =>
            {

            };
        }
    }
}