using System;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class GuidToColorConverter : AbstractConverter<Guid,Color>
    {
        
        public Color Empty{ get; set; }
        
        public Color Color { get; set; }
        
        protected override Color Convert(Guid value, object parameter = null)
        {
            return value != Guid.Empty
                ? Color
                : Empty;
        }

    }
}