using System;
using System.Globalization;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class StringWithDefaultValueConverter : AbstractConverter<String,String>
    {
        
        public String Default { get; set; }

        protected override string Convert(string value, object parameter = null)
        {
            return String.IsNullOrWhiteSpace(value)
                ? Default
                : value;
        }

    }
}