﻿namespace InABox.Core
{
    public abstract class BaseCodeEditor : BaseEditor, IButtonEditor
    {
        public BaseCodeEditor()
        {
            Visible = Visible.Optional;
            Editable = Editable.Hidden;
            Width = 120;
            Alignment = Alignment.MiddleCenter;
            ValidChars = "";
        }

        public string ValidChars { get; set; }

        public EditorButton[]? Buttons { get; set; }
    }
}