using System;
using System.ComponentModel;

namespace InABox.Core
{
    public class ButtonEditorClickArgs : CancelEventArgs
    {
        public String Data { get; set; }
    }
    
    public class ButtonEditor : BaseEditor
    {
        public Action<object,ButtonEditorClickArgs> OnClick { get; set; }
        
        public String Label { get; set; }

        public ButtonEditor()
        {
            Label = "Edit";
            Alignment = Alignment.NotSet;
        }

        protected override BaseEditor DoClone()
        {
            return new ButtonEditor() { OnClick = this.OnClick };
        }
        
    }
    

}