using System;
using System.Collections;
using System.ComponentModel;

namespace InABox.Core
{
    
    public class ListEditor : BaseEditor
    {
        
        public String Label { get; set; }
        
        public int ListWidth { get; set; }
    
        public int ListHeight { get; set; }
    
        public bool DirectEdit { get; set; }

        public ListEditor()
        {
            Label = "Edit";
            Alignment = Alignment.NotSet;
        }

        protected override BaseEditor DoClone()
        {
            return new ListEditor()
            {
                Label = this.Label,
                ListWidth = this.ListWidth,
                ListHeight = this.ListHeight,
                DirectEdit = this.DirectEdit
            };
        }
        
    }
}