﻿using System.Collections.Generic;

namespace InABox.Core
{
    public class LookupEntry
    {
        public LookupEntry(object key, string display, params object[] values)
        {
            Key = key;
            Display = display;
            Values = new List<object>(values);
        }

        public object Key { get; }
        public string Display { get; set; }
        public List<object> Values { get; }
    }
}