using System;

namespace InABox.Mobile
{
    public class GuidToStringConverter : AbstractConverter<Guid,String>
    {
        
        public string EmptyText { get; set; }
        
        protected override string Convert(Guid value, object parameter = null)
        {
            return value != Guid.Empty
                ? parameter?.ToString() ?? ""
                : EmptyText;
        }

    }
}