﻿using InABox.Core;
using InABox.Rpc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Server;

public class InternalServerMessage : ISerializeBinary
{
    public Guid Session { get; set; }

    public byte[] Payload { get; set; }

    public void DeserializeBinary(CoreBinaryReader reader)
    {
        Session = reader.ReadGuid();
        Payload = reader.ReadBinaryValue<byte[]>();
    }

    public void SerializeBinary(CoreBinaryWriter writer)
    {
        writer.Write(Session);
        writer.WriteBinaryValue<byte[]>(Payload);
    }
}
