﻿using InABox.Server;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Rpc
{
    public class RpcInstallerHandler : RpcCommandHandler<IRpcServer, RpcInstallerCommand, RpcInstallerParameters, RpcInstallerResult>
    {
        public RpcInstallerHandler(IRpcServer sender) : base(sender)
        {
        }

        protected override RpcInstallerResult Execute(IRpcSession session, RpcInstallerParameters parameters)
        {
            return new RpcInstallerResult { Installer = UpdateData.GetUpdateInstaller() };
        }
    }
}
