﻿using InABox.Server;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Rpc
{
    public class RpcReleaseNotesHandler : RpcCommandHandler<IRpcServer, RpcReleaseNotesCommand, RpcReleaseNotesParameters, RpcReleaseNotesResult>
    {
        public RpcReleaseNotesHandler(IRpcServer sender) : base(sender)
        {
        }

        protected override RpcReleaseNotesResult Execute(IRpcSession session, RpcReleaseNotesParameters parameters)
        {
            return new RpcReleaseNotesResult { ReleaseNotes = UpdateData.GetReleaseNotes() };
        }
    }
}
