﻿using Microsoft.Exchange.WebServices.Data;

namespace InABox.Mail
{
    public class ExchangeMailFolder : ICoreMailFolder
    {
        private ExchangeMailFolder()
        {
        }

        public ExchangeMailFolder(Folder folder)
        {
            Folder = folder;
        }

        public Folder Folder { get; }

        public string Name => Folder.DisplayName;
        public int Count => Folder.TotalCount;
    }
}